Agent (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Agent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Agent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  TWSAgent

    public interface Agent

extends LogicalElement

Naming Rules:
  0="managedSystemName"
Persistable:
  true
Table Name:
  AGENT

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`FileSystem` | `getFilesystem()`
`ManagementSoftwareSystem` | `getMSS()`
`OperatingSystem` | `getOperatingsystem()`
`boolean` | `hasFilesystem()`
`boolean` | `hasMSS()`
`boolean` | `hasOperatingsystem()`
`void` | `setFilesystem(FileSystem x)`
`void` | `setMSS(ManagementSoftwareSystem x)`
`void` | `setOperatingsystem(OperatingSystem x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFilesystem

    FileSystem getFilesystem()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setFilesystem

    void setFilesystem(FileSystem x)

### hasFilesystem

    boolean hasFilesystem()

### getMSS

    ManagementSoftwareSystem getMSS()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setMSS

    void setMSS(ManagementSoftwareSystem x)

### hasMSS

    boolean hasMSS()

### getOperatingsystem

    OperatingSystem getOperatingsystem()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setOperatingsystem

    void setOperatingsystem(OperatingSystem x)

### hasOperatingsystem

    boolean hasOperatingsystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD